Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.scene.light
Class FluxLight

    java.lang.Object
      de.grogra.gpuflux.scene.FluxObject
          de.grogra.gpuflux.scene.light.FluxLight

Direct Known Subclasses:
  FluxDirectionalLight, FluxParallelLight, FluxPhysicalLight, FluxPointLight, FluxSkyLight, FluxSpectralLight

    public abstract class FluxLight

extends FluxObject

Field Summary
`protected Light` | `light`
`protected static int` | `LIGHT_AREA`
`protected static int` | `LIGHT_DIRECTIONAL`
`protected static int` | `LIGHT_PHYSICAL`
`protected static int` | `LIGHT_POINT`
`protected static int` | `LIGHT_SKY`
`protected static int` | `LIGHT_SPECTRAL`
`protected static int` | `LIGHT_SPOT`

Constructor Summary
`FluxLight(Light light)`

Method Summary
`Light` | `getLight()`
`int` | `getSampleCount()`
`protected Matrix4d` | `getTransformation()`
`protected void` | `serializeLightBase(ComputeByteBuffer out, int type, Tuple3f power, SpectralCurve SPD)`
`void` | `setTransformation(Matrix4d transformation)`

Methods inherited from class de.grogra.gpuflux.scene.FluxObject
`getOffset, serialize, setOffset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### light

    protected Light light

### LIGHT_AREA

    protected static final int LIGHT_AREA

See Also:
  Constant Field Values

### LIGHT_DIRECTIONAL

    protected static final int LIGHT_DIRECTIONAL

See Also:
  Constant Field Values

### LIGHT_PHYSICAL

    protected static final int LIGHT_PHYSICAL

See Also:
  Constant Field Values

### LIGHT_POINT

    protected static final int LIGHT_POINT

See Also:
  Constant Field Values

### LIGHT_SKY

    protected static final int LIGHT_SKY

See Also:
  Constant Field Values

### LIGHT_SPECTRAL

    protected static final int LIGHT_SPECTRAL

See Also:
  Constant Field Values

### LIGHT_SPOT

    protected static final int LIGHT_SPOT

See Also:
  Constant Field Values

Constructor Detail

### FluxLight

    public FluxLight(Light light)

Method Detail

### getLight

    public Light getLight()

### getSampleCount

    public int getSampleCount()

### getTransformation

    protected Matrix4d getTransformation()

### serializeLightBase

    protected void serializeLightBase(ComputeByteBuffer out,
                                      int type,
                                      Tuple3f power,
                                      SpectralCurve SPD)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTransformation

    public void setTransformation(Matrix4d transformation)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD